### Function

# Gegl Operation list_property_keys

#### Declaration [src]

    gchar**
    gegl_operation_list_property_keys (
      const gchar* operation_type,
      const gchar* property_name,
      guint* n_keys
    )

#### Description

No description available.

#### Parameters

`operation_type`

  Type: `const gchar*`

  The name of the operation type we want to query to property keys for.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`property_name`

  Type: `const gchar*`

  The property to query a key for.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`n_keys`

  Type: `guint*`

  Return location for number of property keys.

  The argument will be set by the function.

#### Return value

Type: An array of `utf8`

An allocated NULL terminated array of property-key names. The list should be freed with g_free after use.

The length of the array is in the `n_keys` argument.
The caller of the function takes ownership of the data container, but not the data inside it.
Each element is a NUL terminated UTF-8 string.